GPERF(1)

NAME
ace_gperf - generate a perfect hash function from a key set

SYNOPSIS
ace_gperf [ -adghijklnoprsStv ] [ keyfile ]

DESCRIPTION

ace_gperf reads a set of ``keys'' from keyfile (or, by default, from the standard input) and attempts to find a non-minimal perfect hashing function that recognizes a member of the key set in constant, i.e., O(1), time. If such a function is found the program generates a pair of C source code routines that perform the hashing and table lookup. All generated code is directed to the standard output.

Please refer to the ace_gperf.texinfo file for more information. This file is distributed with ace_gperf release.